Foxit PDF SDK

Public Member Functions | List of all members
FSDK.DRMSecurityHandler Class Reference

## Public Member Functions
| constructor ()
| Constructor function.
| GetDRMValue (key)
| Get the DRM value for a specified parameter. More...
| Initialize (encrypt_data, file_id, initial_key)
| Initialize current DRM security handler. More...
| SetDRMValue (key, value)
| Set the DRM value for a specified parameter. More...
| VerifyEncryptionParams ()
| Verify encryption parameters. More...

## Detailed Description

This class represents a Foxit DRM(Digital Right Management) security handler, used for Foxit DRM encryption.

See also
  FSDK.SecurityHandler

## Member Function Documentation

## ◆ GetDRMValue()

FSDK.DRMSecurityHandler.GetDRMValue | ( | key |  | ) |

Get the DRM value for a specified parameter.

Parameters

  [in] | key | A parameter string as the key name. It should not be an empty string. Followings are pre-defined key names: Issuer: issuer name. Creator: creator of this file. FileID: file ID. FlowCode: flow code for application control. Order: order number. User: user name. ServiceURL: service URL for remote server. Vender: vender name.

Returns
  The value string for a specified parameter.

## ◆ Initialize()

FSDK.DRMSecurityHandler.Initialize | ( | encrypt_data | ,
|  | file_id | ,
|  | initial_key |
| ) |  |

Initialize current DRM security handler.

Parameters

  [in] | encrypt_data | A certificate encrypt data object. In the encryption data, cipher type should not be FSDK.SecurityHandler.e_CipherNone.
  [in] | file_id | The file identity string.
  [in] | initial_key | The user specified initial key for encryption.

Returns
  true means success, while false means failure.

## ◆ SetDRMValue()

FSDK.DRMSecurityHandler.SetDRMValue | ( | key | ,
|  | value |
| ) |  |

Set the DRM value for a specified parameter.

Parameters

  [in] | key | A parameter string as the key name. It should not be an empty string. Followings are pre-defined key names: Issuer: issuer name. Creator: creator of this file. FileID: file ID. FlowCode: flow code for application control. Order: order number. User: user name. ServiceURL: service URL for remote server. Vender: vender name.
  [in] | value | New value string for specified parameter.

Returns
  true means success, while false means failure.

## ◆ VerifyEncryptionParams()

FSDK.DRMSecurityHandler.VerifyEncryptionParams | ( |  | ) |

Verify encryption parameters.

Foxit DRM maintains a set of encryption parameters for application purpose. Encryption parameters are stored in PDF file and protected by verification algorithm. So application can call this function to verify a DRM encrypted PDF document. If the verification is failed, that means the PDF document might be distorted.

Returns
  true means the verification is successful, while false means the verification is failed.